curl -sS -X PATCH "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-API-Version: unstable" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"frequency": "weekly",
"retention": { "expire_after_days": 14 }
}'
{
"schedule_id": "c688ed12-5a39-4254-9518-bd394b7f4886",
"name": "my-nightly-backup",
"index_id": "d40265e4-a492-402b-9cf1-973b4908b7a0",
"project_id": "cc95c601-bf08-4973-9a1d-a65a1b528759",
"schedule_type": "time-based",
"frequency": "weekly",
"retention_expire_after_days": 14,
"enabled": false,
"next_scheduled_run": "2026-04-24T06:00:00+00:00",
"created_at": "2026-04-23T16:36:51.267528+00:00"
}
Backup schedules
Update backup schedule
Update a backup schedule.
PATCH
/
backup-schedules
/
{schedule_id}
curl -sS -X PATCH "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-API-Version: unstable" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"frequency": "weekly",
"retention": { "expire_after_days": 14 }
}'
{
"schedule_id": "c688ed12-5a39-4254-9518-bd394b7f4886",
"name": "my-nightly-backup",
"index_id": "d40265e4-a492-402b-9cf1-973b4908b7a0",
"project_id": "cc95c601-bf08-4973-9a1d-a65a1b528759",
"schedule_type": "time-based",
"frequency": "weekly",
"retention_expire_after_days": 14,
"enabled": false,
"next_scheduled_run": "2026-04-24T06:00:00+00:00",
"created_at": "2026-04-23T16:36:51.267528+00:00"
}
Documentation Index
Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt
Use this file to discover all available pages before exploring further.
This endpoint requires
X-Pinecone-API-Version: unstable.Path parameters
The ID of the backup schedule to update.
Body parameters
Whether the schedule is enabled. Set to
false to pause the schedule without deleting it.How often backups are created. One of
daily, weekly, or monthly.The retention policy for backups created by this schedule.
Show retention properties
Show retention properties
The number of days after which backups created by this schedule are automatically deleted.
curl -sS -X PATCH "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-API-Version: unstable" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"frequency": "weekly",
"retention": { "expire_after_days": 14 }
}'
{
"schedule_id": "c688ed12-5a39-4254-9518-bd394b7f4886",
"name": "my-nightly-backup",
"index_id": "d40265e4-a492-402b-9cf1-973b4908b7a0",
"project_id": "cc95c601-bf08-4973-9a1d-a65a1b528759",
"schedule_type": "time-based",
"frequency": "weekly",
"retention_expire_after_days": 14,
"enabled": false,
"next_scheduled_run": "2026-04-24T06:00:00+00:00",
"created_at": "2026-04-23T16:36:51.267528+00:00"
}
Was this page helpful?
⌘I